import os
import pandas as pd
import numpy as np
from pandas.api.types import CategoricalDtype
from matplotlib.pyplot import figure,close


def convert():
    DATA_DIR = "/data"

    ais_csv = pd.read_csv(DATA_DIR+"/records/full_file.csv", on_bad_lines='skip')


    csai_csv = ais_csv[['APP_NAME', 'IMPORT']].groupby(['APP_NAME', 'IMPORT']).size().reset_index()
    csai_csv = csai_csv.rename(columns={
        'APP_NAME': 'app',
        'IMPORT': 'facet',
        0: 'total'
    })

    csai_csv.to_csv(DATA_DIR+"/skewed.csv", index=False)