import os.path
import os
import requests
import pandas as pd
import sys, io
import zipfile 
import gzip
import glob


def merge():

    DATA_DIR = "/data"

    if(os.path.exists(DATA_DIR+"/records/full_file.csv")):
        os.remove(DATA_DIR+"/records/full_file.csv")
    else:
        print("the csv file doesn't exist")

    csv_files = glob.glob(DATA_DIR+"/records" + "/*.csv")
    df_list = (pd.read_csv(file) for file in csv_files)
    big_df   = pd.concat(df_list, ignore_index=True) 
    big_df.to_csv(DATA_DIR+"/records/full_file.csv", sep=',')